import Qt 4.7

Rectangle {
    width: 200
    height: 200

    signal clicked

    Text {
        id: helloText
        x: (parent.width - width) / 2
        y: (parent.height - height) / 2
        text: "Hello World"
        onWidthChanged: console.log("Text changed, so width changed: " + width)
    }

    MouseArea {
        anchors.fill: parent
        onClicked:  {
            console.log("Mouse was clicked");
            helloText.text += " Clicked";
            parent.clicked();
        }
    }

    onClicked: console.log("Click was delegated here via signal")
}

